Bug 224998 - [NEW PORT] databases/arangodb33: ArangoDB, 3.3.X series
Summary: [NEW PORT] databases/arangodb33: ArangoDB, 3.3.X series
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13831
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-08 14:57 UTC by dev
Modified: 2018-02-07 21:01 UTC (History)
3 users (show)

See Also:


Attachments
arangodb33 port diff (347.26 KB, patch)
2018-01-08 14:57 UTC, dev
no flags Details | Diff
arangodb33 patch (347.26 KB, patch)
2018-01-08 15:00 UTC, dev
no flags Details | Diff
Update to 3.3.2 (347.26 KB, patch)
2018-01-10 08:23 UTC, dev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dev 2018-01-08 14:57:37 UTC
Created attachment 189519 [details]
arangodb33 port diff
Comment 1 dev 2018-01-08 15:00:30 UTC
Created attachment 189520 [details]
arangodb33 patch
Comment 2 Yuri Victorovich freebsd_committer 2018-01-10 08:00:58 UTC
Hi Vlad,

The build breaks for me:

> In file included from /usr/ports/databases/arangodb33/work/arangodb-3.3.1/lib/V8/v8-globals.h:29:
> /usr/ports/databases/arangodb33/work/arangodb-3.3.1/lib/ApplicationFeatures/V8PlatformFeature.h:81:19: error: no template named 'Allocator' in 'v8::ArrayBuffer'; did you mean 'std::allocator'?
>   std::unique_ptr<v8::ArrayBuffer::Allocator> _allocator;
>                   ^~~~~~~~~~~~~~~~~~~~~~~~~~
>                   std::allocator
> /usr/include/c++/v1/memory:1720:28: note: 'std::allocator' declared here
> class _LIBCPP_TEMPLATE_VIS allocator
>                            ^

Also, the version 3.3.2 is available now.
Comment 3 dev 2018-01-10 08:23:53 UTC
Created attachment 189577 [details]
Update to 3.3.2
Comment 4 dev 2018-01-10 08:25:04 UTC
(In reply to Yuri Victorovich from comment #2)

Thank you Yuri. I have just updated the diff for 3.3.2. What OS version and arch are you building on? I only have a 11.1-amd64 at hand ATM.
Comment 5 Yuri Victorovich freebsd_committer 2018-01-10 08:26:00 UTC
(In reply to dev from comment #4)

I use 11.1 amd64.

Thank you for updating. I will try it now.

Yuri
Comment 6 Yuri Victorovich freebsd_committer 2018-01-10 08:43:13 UTC
This version also breaks:

In file included from /usr/ports/databases/arangodb33/work/arangodb-3.3.2/lib/ApplicationFeatures/V8PlatformFeature.cpp:23:
/usr/ports/databases/arangodb33/work/arangodb-3.3.2/lib/ApplicationFeatures/V8PlatformFeature.h:81:19: error: no template named 'Allocator' in 'v8::ArrayBuffer'; did you
      mean 'std::allocator'?
  std::unique_ptr<v8::ArrayBuffer::Allocator> _allocator;
                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
                  std::allocator
/usr/include/c++/v1/memory:1720:28: note: 'std::allocator' declared here
class _LIBCPP_TEMPLATE_VIS allocator
                           ^
In file included from /usr/ports/databases/arangodb33/work/arangodb-3.3.2/lib/ApplicationFeatures/V8PlatformFeature.cpp:23:
/usr/ports/databases/arangodb33/work/arangodb-3.3.2/lib/ApplicationFeatures/V8PlatformFeature.h:81:19: error: use of class template 'v8::ArrayBuffer::allocator' requires
      template arguments
  std::unique_ptr<v8::ArrayBuffer::Allocator> _allocator;
                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/memory:1720:28: note: template is declared here
class _LIBCPP_TEMPLATE_VIS allocator
                           ^
Comment 7 dev 2018-01-10 08:48:37 UTC
Hm, that is strange, here is the build log from my system: https://www.dropbox.com/s/j74fddohonpos10/arangodb33build.log?dl=0

I'm running FreeBSD 11.1-RELEASE-p4 amd64, clang is 4.0. AFAICT nothing V8 specific has changed in ArangoDB since 3.2. Do you have V8 installed as a package by any chance?
Comment 8 Yuri Victorovich freebsd_committer 2018-01-10 09:16:37 UTC
(In reply to dev from comment #7)
I have v8-3.18.5_4 installed, and the sustem is 11.1-STABLE.

I will try uninstalling v8 tomorrow. If this works, I will label it with CONFLICTS_BUILD=v8*

Cheers,

Yuri
Comment 9 Yuri Victorovich freebsd_committer 2018-01-10 18:22:04 UTC
It builds now, without v8.
I still have doubts that this should be named databases/arangodb33, and not databases/arangodb.

I suggest we just call the mainline databases/arangodb, and later, if this will be needed, create databases/arangodb33 once 3.4.X is introduced?
Comment 10 dev 2018-01-10 19:00:47 UTC
(In reply to Yuri Victorovich from comment #9)

I'd really rather keep 3.2 around for the time being, we have it running in production and estimate that a number of people would prefer doing the same for a while until the 3.3 branch matures.
Comment 11 dev 2018-01-10 19:01:25 UTC
Sorry I meant we have 3.2 running in production. 3.3 is different enough from 3.2 to justify keeping both.
Comment 12 Yuri Victorovich freebsd_committer 2018-01-10 19:02:45 UTC
(In reply to dev from comment #11)

Ok!
Comment 13 Yuri Victorovich freebsd_committer 2018-01-10 20:48:50 UTC
Vlad,

Do you know the reason of "Only builds on amd64"? Is this their official policy?

Yuri
Comment 14 dev 2018-01-11 10:44:32 UTC
(In reply to Yuri Victorovich from comment #13)

Yes, the ArangoDB code base is not 32bit friendly: https://github.com/arangodb/arangodb/issues/2334

HTH
Vlad
Comment 15 Yuri Victorovich freebsd_committer 2018-01-11 10:48:11 UTC
(In reply to Vlad Galu from comment #14)

Thanks!
Comment 16 dev 2018-02-06 13:39:14 UTC
Bump.
Comment 17 Yuri Victorovich freebsd_committer 2018-02-06 17:32:45 UTC
(In reply to Vlad Galu from comment #16)

Iy is in approval.
Comment 18 Yuri Victorovich freebsd_committer 2018-02-07 21:01:49 UTC
Committed with small changes.
Thank you for your submission!
Comment 19 commit-hook freebsd_committer 2018-02-07 21:01:50 UTC
A commit references this bug:

Author: yuri
Date: Wed Feb  7 21:01:45 UTC 2018
New revision: 461187
URL: https://svnweb.freebsd.org/changeset/ports/461187

Log:
  New port: databases/arangodb33: ArangoDB, branch for 3.3.X series, version 3.3.3

  Forked from databases/arangodb32.
  https://www.arangodb.com/

  PR:		224998
  Submitted by:	Vlad Galu <dev@dudu.ro>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13831

Changes:
  head/databases/Makefile
  head/databases/arangodb33/
  head/databases/arangodb33/Makefile
  head/databases/arangodb33/distinfo
  head/databases/arangodb33/files/patch-CMakeLists.txt
  head/databases/arangodb33/files/patch-arangod_Agency_Store.cpp
  head/databases/arangodb33/files/patch-arangod_RocksDBEngine_RocksDBThrottle.cpp
  head/databases/arangodb33/files/patch-lib_Basics_process-utils.cpp
  head/databases/arangodb33/pkg-message
  head/databases/arangodb33/pkg-plist